Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libpolkit-qt-1-1-0.112.0-lp152.3.3 RPM for armv7hl

From OpenSuSE Ports Leap 15.2 for armv7hl

Name: libpolkit-qt-1-1 Distribution: openSUSE Leap 15.2
Version: 0.112.0 Vendor: openSUSE
Release: lp152.3.3 Build date: Thu Feb 6 08:07:04 2020
Group: Development/Libraries/KDE Build host: armbuild19
Size: 161640 Source RPM: polkit-qt-1-0.112.0-lp152.3.3.src.rpm
Packager: https://bugs.opensuse.org
Url: http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html/
Summary: PolicyKit Library Qt Bindings
Polkit-qt aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.

Provides

Requires

License

LGPL-2.1+

Changelog

* Fri Jun 19 2015 tittiatcoke@gmail.com
  - Update to version 0.112.0
    * Qt5 support
    * Update deprecated methods to latest Polkit API
  - Qt4 and Qt5 versions are now aligned.
  - Drop patches merged upstream:
    * fixed-reference-counting-of-GObjects.patch,
    * fixed-GCancellable-handling-in-PolkitQtListener.patch
  - Added do-not-use-global-static-systembus-instance.patch from
    upstream, fixes crash on DBus disconnect
* Tue Jul 16 2013 hrvoje.senjan@gmail.com
  - Update to 0.103.0
    * Bugfix release, contains previously included patches
  - Droped ck-avoid-crash.diff and d3c337da.patch, included in this
    release
  - Added fixed-GCancellable-handling-in-PolkitQtListener.patch and
    fixed-reference-counting-of-GObjects.patch from upstream
    (kde#257802, kde#286935, kde#291977, kde#307323, kde#270489)
* Mon Dec 12 2011 idonmez@suse.com
  - Add git commit d3c337da to fix kde#258916
* Thu Aug 11 2011 toddrme2178@gmail.com
  - Removed self-obsoletes (fix for RPMLINT warning)
  - Cleaned up spec file formatting
* Tue Jun 28 2011 lnussel@suse.de
  - devel package must depend on polkit-devel nowadays
* Fri Jun 10 2011 dmueller@suse.de
  - fix crash when ConsoleKit is unavailable
* Mon Apr 18 2011 ro@suse.de
  - fix baselibs.conf
* Sat Dec 18 2010 tittiatcoke@gmail.com
  - Change the specfile to build according openSUSE standards
* Fri Dec 17 2010 tittiatcoke@gmail.com
  - Enable build for 11.2 and 11.3 in compatibility mode. 0.99.1 has
    became a requirement for KDE 4.6
* Thu Dec 09 2010 tittiatcoke@gmail.com
  - update to 0.99.1
    - Introduction of a compatibility mode for older PolicyKit version

Files

/usr/lib/libpolkit-qt-agent-1.so.1
/usr/lib/libpolkit-qt-agent-1.so.1.112.0
/usr/lib/libpolkit-qt-core-1.so.1
/usr/lib/libpolkit-qt-core-1.so.1.112.0
/usr/lib/libpolkit-qt-gui-1.so.1
/usr/lib/libpolkit-qt-gui-1.so.1.112.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Jun 9 13:38:41 2022